Subject: [os2genau_digest] No. 1533
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 12 Aug 2007 00:00:46 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 11 August 2007
 Number  1533
**************************************************

Subjects for today
 
1  Re:  Router : Peter L Allen" <allenpl at netspace dot net dot au>
2  Re:  Router : Peter Moylan <peter at pmoylan dot org>
3   Long Boot : Glenn Montgomery <glenn at montysplace dot net>
4   Helper applications in Firefox : Peter Moylan <peter at pmoylan dot org>
5  Re:  Router : Ed Durrant <edurrant at virginbroadband dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 11 Aug 2007 10:08:27 +1000 (EST)
From:  "Peter L Allen" <allenpl at netspace dot net dot au>
Subject:  Re:  Router

   snip

>So the question now comes down to what other features do you wish to have ?
>
>Do you want a simple router with firewall and a built in 4 port ethernet 
>switch ?

Simple sounds good -

>
>Do you also want WiFi ?

No - but as a matter of interest - what range in practice can be reliably used??
>
>Do you also want VOIP telephony ?

Supplied with installation - works a treat - probably give the copper wire up.
>
>Do you want the router to act as a print server ?

Not really - from the little I've seen - print servers built into routers only work with Doze?
>
>Do you want the router to act as a Network attached storage server ?

No
>
>Do you want the router to take care of Bittorrent requests for you ?

Had to look this one up - can't image a use for it that couldn't be done better by other 
devices.
>
>The common names such as D-Link, Netcomm, Netgear, Linksys and TP-Link 
>all provide router ranges with combinations of these features - it 
>really depends upon what you want to have and what you want to pay.
>

eventually found ozcableguy - probably go Linksys BEFSR41

>You can also use an OS/2 - eCS system with Injoy Firewall software to 
>provide this capability as well, however since routers are so cheap and 
>they consume less power than leaving a PC on to fullfil the role I'd go 
>the separate box route.
>
>Cheers/2
>
>Ed.
			Regards,
						allenpl

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 11 Aug 2007 11:59:32 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Router

Peter L Allen wrote:

>> Do you also want WiFi ?
> 
> No - but as a matter of interest - what range in practice can be 
> reliably used??

I've seen 500m mentioned, but in practice about 100m seems more
realistic. (Naturally, it depends on things like reflections from nearby
objects, and interfering sources. In my case, I almost fell into the
trap of buying a cordless phone that used the same frequency band. This
will work, but has the potential for interference. If you also get a
cordless phone, go for the (slightly more expensive) 5.8 GHz phones, to
avoid conflicts with your wireless network. By the way, I'm told that a
cordless phone base station can be connected into a VoIP adaptor
perfectly seamlessly, so you're not limited to one phone in the house.)
In any case, it's good enough to cover all of your house. It will also
cover some of your neighbours, but all wireless routers include
configurable encryption that is good enough to defeat all but the most
fanatical hackers. After initial configuration, you can also "hide" your
wireless network by telling the wireless router to stop broadcasting its
name to the neighbourhood.

>> Do you also want VOIP telephony ?
> 
> Supplied with installation - works a treat - probably give the copper
>  wire up.

I wouldn't mind having that. My VoIP is supplied as part of my router,
but since there's more than 3 km of copper between me and the exchange
there's often some crackling in the phone calls. Your fibre optic
connection will be far superior.

>> Do you want the router to act as a print server ?
> 
> Not really - from the little I've seen - print servers built into 
> routers only work with Doze?

I've never tried that. What I'm planning to do, once my finances have
built up a bit, is to buy a cheap XP machine and use it as the print
server. It's one of the two things that Windows does well. (The other is
excellent support for pornography.)

>> The common names such as D-Link, Netcomm, Netgear, Linksys and 
>> TP-Link all provide router ranges with combinations of these 
>> features - it really depends upon what you want to have and what 
>> you want to pay.
> 
> eventually found ozcableguy - probably go Linksys BEFSR41

In my experience all of these brands are much of a muchness in what they
supply. The more expensive brands might have a better lifetime, or
something like that, but I've never heard of anyone who's unhappy with
any 4-port routers from the well-known brands.

Some suggestions, though:

(a) Once you've decided on the brand and model, google around a bit for
price comparisons. Some of the online stores give really big discounts.
Of course it's possible that the price difference will be eaten up by
delivery charges. Also, you need to have someone home during the day to
accept delivery. Just last week I had to recommend a wireless router for
a friend who's not computer-savvy, and I found a local discount store
that will give her a better deal than the on-line stores.

(b) Don't rule out wireless. It costs a little more, and initially
you'll probably configure the thing to leave the wireless turned off.
(Configuration is typically by a web interface.) However, it's useful to
have if you later buy a notebook, or have a friend visiting who has a
notebook, or if you move one or more computers to a room where
installing ethernet cable would be too tricky. In other words, using a
4-port wireless router helps to future-proof your setup.

(c) Most of these products come with some sort of Setup CD for initial
installation, and of course it's useless to non-Windows users. You can
use the CD for documentation (often useful), but since you have to
install by hand you might run into some catches. The only really
important catch I've seen is that the web interface turns out to be
unreachable. In my case, the web interface was at address 192.168.1.30,
but my own computers had LAN IP addresses of 192.168.0.*, which is a
different class A subnet. The solution turned out to be to reconfigure
my own machine (via the tcp/ip configuration notebook) to use a
192.168.1.* address, after which the computer found the router without
trouble. Obvious in hindsight, but a big trap for the beginner. You
*must* have the router and its connected computers on the same IP subnet.

(d) Before installing, make a backup of your MTPN\ETC\RESOLV2 file,
and/or make it read-only. In theory the router is supposed to supply you
with nameserver addresses as part of a DHCP connection, but somehow that
never works in OS/2. It's safer to give your local machines fixed IP
addresses and forget about the DHCP.

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org

Please note that my e-mail address has changed yet again.
Some of my older addresses still work, but it is not certain
when they will be phased out.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 11 Aug 2007 16:53:07 +0000
From:  Glenn Montgomery <glenn at montysplace dot net>
Subject:   Long Boot

Hello all,

I have just reinstalled the networking of my ecomstation beta, but now 
on boot up there is a large pause (2.5 minutes) where netbind.exe I 
think is loading (looking for something??) and taking forever. Then 
there is a 30 second pause as vdosctl.exe is loading. Any ideas?

The reason I did the reinstall was to try and get a login screen at the 
start when I am booting up (it just goes straight into desktop with 
having to log in). I cannot log into anything like local network, users 
accounts etc, so I wondered whether that would help. Alas not... Any 
ideas on that too :-\

Thanks,
Glenn
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 11 Aug 2007 17:18:37 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   Helper applications in Firefox

Does anyone know how to add a program to handle a new file type or MIME
type, when you know you already have a program that will do it? As an
example, consider:
     http://www.littleboxes.nl/LavatoryMan.htm
(Sorry about the content. It just happens to be a link I found on a
newsgroup.) This page tells me I have a missing plugin, and I should
invoke the Plugin Finder. As we all know, this is useless for OS/2 or
eCS, but it does at least let me know that the MIME type required is
audio/mpeg.

 From earlier Mozilla versions, where it was easier to specify such
things, I have Z! set up as my player for *.mp3 files. It would probably
work just as well for type audio/mpeg, because I think that that MIME
type simply refers to MP3 files. Even if it didn't work, I could try
Warpvision, for example. But Firefox apparently gives me no way of
trying these.

The logical place to look is on the "Content" page of the Firefox
Tools/Options, and click on the "Manage" button for file types. This
brings up a completely empty list! In some versions of Firefox there are
things in the list, but in most releases the list is empty. (Even though
Firefox is obviously remembering what used to be in the list, since it's
opening the right applications if they were in the list in an earlier
version.) What is worse is that the old Mozilla used to have a button to
add new entries, but this has disappeared from all versions of Firefox.
The Firefox philosophy seems to be that you never enter anything
manually, you use the plugin finder to do it for you.

Any guesses? Should I just revert to a version where the Action list was
non-empty? Does SeaMonkey handle it? Or - as I suspect - is this one of
those "behind the scenes" things where I have to manually edit some
semi-intelligible and undocumented configuration file?

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org

Please note that my e-mail address has changed yet again.
Some of my older addresses still work, but it is not certain
when they will be phased out.
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sat, 11 Aug 2007 17:53:08 +1000
From:  Ed Durrant <edurrant at virginbroadband dot com dot au>
Subject:  Re:  Router

Peter Moylan wrote:
> Peter L Allen wrote:
>
>>> Do you also want WiFi ?
>>
>> No - but as a matter of interest - what range in practice can be 
>> reliably used??
>
> I've seen 500m mentioned, but in practice about 100m seems more
> realistic. (Naturally, it depends on things like reflections from nearby
> objects, and interfering sources. In my case, I almost fell into the
> trap of buying a cordless phone that used the same frequency band. This
> will work, but has the potential for interference. If you also get a
> cordless phone, go for the (slightly more expensive) 5.8 GHz phones, to
> avoid conflicts with your wireless network. By the way, I'm told that a
> cordless phone base station can be connected into a VoIP adaptor
> perfectly seamlessly, so you're not limited to one phone in the house.)
> In any case, it's good enough to cover all of your house. It will also
> cover some of your neighbours, but all wireless routers include
> configurable encryption that is good enough to defeat all but the most
> fanatical hackers. After initial configuration, you can also "hide" your
> wireless network by telling the wireless router to stop broadcasting its
> name to the neighbourhood.

  As you say - "your milage may vary". Plus there are standards and ther 
are standards. Most people now use "G" which runs at a maximum of 
54Mb/s, then some companies came out with a "turbo mode" claiming 
108Mb/s. Now several companies have "Draft N" cards and routers which as 
well as supporting the higher speed also claim to double the usable 
distance. Unfortunately to do this they use multiple frequencies which 
increases the risk of interference causing issues. The main point is as 
"Draft N" is just that - a draft proposal in front of the standards 
committee, different companies have implemented it in slightly different 
ways and so interoperability between card / router makes and models is 
unlikely to work on either of the higher speed options. Also once "N" 
standard is ratified, it is likely to be different to the "Draft N" 
implementations ad there is no surity that the purchased Draft N 
equipment can be upgraded. So in short - stick with "G" for now. I'd go 
with Peter M's definition - 100M range outside less inside.
>
>>> Do you also want VOIP telephony ?
>>
>> Supplied with installation - works a treat - probably give the copper
>>  wire up.
>
> I wouldn't mind having that. My VoIP is supplied as part of my router,
> but since there's more than 3 km of copper between me and the exchange
> there's often some crackling in the phone calls. Your fibre optic
> connection will be far superior.
>
  OK, no VOIP needed.
>>> Do you want the router to act as a print server ?
>>
>> Not really - from the little I've seen - print servers built into 
>> routers only work with Doze?
>
> I've never tried that. What I'm planning to do, once my finances have
> built up a bit, is to buy a cheap XP machine and use it as the print
> server. It's one of the two things that Windows does well. (The other is
> excellent support for pornography.)
>
  No Print server -OK.
>>> The common names such as D-Link, Netcomm, Netgear, Linksys and 
>>> TP-Link all provide router ranges with combinations of these 
>>> features - it really depends upon what you want to have and what you 
>>> want to pay.
>>
>> eventually found ozcableguy - probably go Linksys BEFSR41
>
> In my experience all of these brands are much of a muchness in what they
> supply. The more expensive brands might have a better lifetime, or
> something like that, but I've never heard of anyone who's unhappy with
> any 4-port routers from the well-known brands.
>

> Some suggestions, though:
>
> (a) Once you've decided on the brand and model, google around a bit for
> price comparisons. Some of the online stores give really big discounts.
> Of course it's possible that the price difference will be eaten up by
> delivery charges. Also, you need to have someone home during the day to
> accept delivery. Just last week I had to recommend a wireless router for
> a friend who's not computer-savvy, and I found a local discount store
> that will give her a better deal than the on-line stores.
>
> (b) Don't rule out wireless. It costs a little more, and initially
> you'll probably configure the thing to leave the wireless turned off.
> (Configuration is typically by a web interface.) However, it's useful to
> have if you later buy a notebook, or have a friend visiting who has a
> notebook, or if you move one or more computers to a room where
> installing ethernet cable would be too tricky. In other words, using a
> 4-port wireless router helps to future-proof your setup.
>
> (c) Most of these products come with some sort of Setup CD for initial
> installation, and of course it's useless to non-Windows users. You can
> use the CD for documentation (often useful), but since you have to
> install by hand you might run into some catches. The only really
> important catch I've seen is that the web interface turns out to be
> unreachable. In my case, the web interface was at address 192.168.1.30,
> but my own computers had LAN IP addresses of 192.168.0.*, which is a
> different class A subnet. The solution turned out to be to reconfigure
> my own machine (via the tcp/ip configuration notebook) to use a
> 192.168.1.* address, after which the computer found the router without
> trouble. Obvious in hindsight, but a big trap for the beginner. You
> *must* have the router and its connected computers on the same IP subnet.
>
> (d) Before installing, make a backup of your MTPN\ETC\RESOLV2 file,
> and/or make it read-only. In theory the router is supposed to supply you
> with nameserver addresses as part of a DHCP connection, but somehow that
> never works in OS/2. It's safer to give your local machines fixed IP
> addresses and forget about the DHCP.
>
Agree with all the above comments. Since WiFi equiped is often not much 
more, probably worth getting a WiFi Router and disable the WiFi part - 
that way you are using the same as a lot of other people - the Linksys 
WRT54G range is the "classic" choice - probably with the most support 
out there.

Cheers/2

Ed.
----------------------------------------------------------------------------------